POST api/CosEccSummary/SendScheduleAppointment
Request Information
URI Parameters
None.
Body Parameters
ScheduleAppointmentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| LocationSelection | string |
String length: inclusive between 0 and 20 |
|
| ServiceLocationId | integer |
None. |
|
| FacilityCode | string |
String length: inclusive between 0 and 20 |
|
| Appointment | integer |
None. |
|
| AppointmentDate | date |
None. |
|
| AppointmentTime | time interval |
None. |
|
| AppointmentTimeZone | integer |
None. |
|
| ScheduleAppointmentList | Collection of EmployeeExamDTO |
None. |
|
| EncounterId | integer |
None. |
|
| OrderId | integer |
None. |
|
| TelemedicineId | integer |
None. |
|
| isFromCaseList | boolean |
None. |
|
| IsFacilitySchedule | boolean |
None. |
Request Formats
application/json
Sample:
Sample not available.
text/json
Sample:
Sample not available.
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfString| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | string |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": "sample string 3",
"totalCount": 4
}
application/xml, text/xml
Sample:
<AsapResponseOfstring xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.Common"> <isSuccess>true</isSuccess> <jsonObj>sample string 3</jsonObj> <message>sample string 2</message> <totalCount>4</totalCount> </AsapResponseOfstring>